libmwaw_applepict1::Pixmap Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
libmwaw_applepict1::Pixmap Struct Reference

Internal and low level: a class used to read pack/unpack color pixmap (version 2) More...

## Public Member Functions
| Pixmap ()
bool | read (MWAWInputStream &input, bool packed, bool colorTable, bool hasRectsMode, bool hasRegion)
| tries to read a pixmap More...
bool | savePixmap () const
| saves the pixmap in file (debugging function) More...
bool | unpackedData (unsigned char const *pData, int sz, int byteSz, int nSize, std::vector< unsigned char > &res) const
| creates the pixmap from the packdata More...
bool | readPixmapData (MWAWInputStream &input)
| parses the pixmap data zone More...

## Public Attributes
int | m_rowBytes
| the num of bytes used to store a row More...
MWAWBox2i | m_rect
| the pixmap rectangle More...
int | m_version
| the pixmap version More...
int | m_packType
| the packing format More...
long | m_packSize
| size of data in the packed state More...
int | m_Res [2]
| horizontal/vertical definition More...
int | m_pixelType
| format of pixel image More...
int | m_pixelSize
| physical bit by image More...
int | m_compCount
| logical components per pixels More...
int | m_compSize
| logical bits by components More...
long | m_planeBytes
| offset to the next plane More...
shared_ptr< ColorTable > | m_colorTable
| the color table More...
MWAWBox2i | m_src
| the initial dimension More...
MWAWBox2i | m_dst
| another final dimension More...
shared_ptr< Region > | m_region
| the region More...
std::vector< int > | m_indices
| the pixmap indices More...
std::vector< MWAWColor > | m_colors
| the colors More...
int | m_mode
| the encoding mode ? More...

## Friends
std::ostream & | operator<< (std::ostream &o, Pixmap const &f)
| operator<< for Pixmap More...

## Detailed Description

Internal and low level: a class used to read pack/unpack color pixmap (version 2)

## Constructor & Destructor Documentation

libmwaw_applepict1::Pixmap::Pixmap | ( |  | ) |
| inline

## Member Function Documentation

bool libmwaw_applepict1::Pixmap::read | ( | MWAWInputStream & | input,
|  | bool | packed,
|  | bool | colorTable,
|  | bool | hasRectsMode,
|  | bool | hasRegion
| ) |  |
| inline

tries to read a pixmap

bool libmwaw_applepict1::Pixmap::readPixmapData | ( | MWAWInputStream & | input | ) |
| inline

parses the pixmap data zone

Referenced by read().

bool libmwaw_applepict1::Pixmap::savePixmap | ( |  | ) | const
| inline

saves the pixmap in file (debugging function)

bool libmwaw_applepict1::Pixmap::unpackedData | ( | unsigned char const * | pData,
|  | int | sz,
|  | int | byteSz,
|  | int | nSize,
|  | std::vector< unsigned char > & | res
| ) |  | const
| inline

creates the pixmap from the packdata

Referenced by readPixmapData().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Pixmap const & | f
| ) |  |
| friend

operator<< for Pixmap

## Member Data Documentation

std::vector<MWAWColor> libmwaw_applepict1::Pixmap::m_colors

the colors

Referenced by readPixmapData(), and savePixmap().

shared_ptr<ColorTable> libmwaw_applepict1::Pixmap::m_colorTable

the color table

Referenced by read(), readPixmapData(), and savePixmap().

int libmwaw_applepict1::Pixmap::m_compCount

logical components per pixels

Referenced by read(), and readPixmapData().

int libmwaw_applepict1::Pixmap::m_compSize

logical bits by components

Referenced by read().

MWAWBox2i libmwaw_applepict1::Pixmap::m_dst

another final dimension

Referenced by read().

std::vector<int> libmwaw_applepict1::Pixmap::m_indices

the pixmap indices

Referenced by readPixmapData(), and savePixmap().

int libmwaw_applepict1::Pixmap::m_mode

the encoding mode ?

Referenced by read().

long libmwaw_applepict1::Pixmap::m_packSize

size of data in the packed state

Referenced by read().

int libmwaw_applepict1::Pixmap::m_packType

the packing format

Referenced by read(), and readPixmapData().

int libmwaw_applepict1::Pixmap::m_pixelSize

physical bit by image

Referenced by read(), and readPixmapData().

int libmwaw_applepict1::Pixmap::m_pixelType

format of pixel image

Referenced by read().

long libmwaw_applepict1::Pixmap::m_planeBytes

offset to the next plane

Referenced by read().

MWAWBox2i libmwaw_applepict1::Pixmap::m_rect

the pixmap rectangle

Referenced by read(), readPixmapData(), and savePixmap().

shared_ptr<Region> libmwaw_applepict1::Pixmap::m_region

the region

Referenced by read().

int libmwaw_applepict1::Pixmap::m_Res[2]

horizontal/vertical definition

Referenced by Pixmap(), and read().

int libmwaw_applepict1::Pixmap::m_rowBytes

the num of bytes used to store a row

Referenced by read(), readPixmapData(), and unpackedData().

MWAWBox2i libmwaw_applepict1::Pixmap::m_src

the initial dimension

Referenced by read().

int libmwaw_applepict1::Pixmap::m_version

the pixmap version

Referenced by read().

The documentation for this struct was generated from the following file:

- MWAWPictMac.cxx